    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.beans.FeatureDescriptor

    java.lang.Object
       |
       +----java.beans.FeatureDescriptor

public class FeatureDescriptor
extends Object

The FeatureDescriptor class is the common baseclass for PropertyDescriptor, EventSetDescriptor, and MethodDescriptor, etc.

It supports some common information that can be set and retrieved for any of the introspection descriptors.

In addition it provides an extension mechanism so that arbitrary attribute/value pairs can be associated with a design feature.

##

FeatureDescriptor()

##

attributeNames()
getDisplayName()
getName()
getShortDescription()
getValue(String)
  Retrieve a named attribute with this feature.
isExpert()
  The "expert" flag is used to distinguish between those features that are intended for expert users from those that are intended for normal users.
isHidden()
  The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.
setDisplayName(String)
setExpert(boolean)
  The "expert" flag is used to distinguish between features that are intended for expert users from those that are intended for normal users.
setHidden(boolean)
  The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.
setName(String)
setShortDescription(String)
  You can associate a short descriptive string with a feature.
setValue(String, Object)
  Associate a named attribute with this feature.

##

FeatureDescriptor

     public FeatureDescriptor()

##

getName

     public String getName()

  Returns:
    The programmatic name of the property/method/event

setName

     public void setName(String name)

  Parameters:
    name - The programmatic name of the property/method/event

getDisplayName

     public String getDisplayName()

  Returns:
    The localized display name for the property/method/event. This defaults to the same as its programmatic name from getName.

setDisplayName

     public void setDisplayName(String displayName)

  Parameters:
    displayName - The localized display name for the property/method/event.

isExpert

     public boolean isExpert()

  The "expert" flag is used to distinguish between those features that are intended for expert users from those that are intended for normal users.

  Returns:
    True if this feature is intended for use by experts only.

setExpert

     public void setExpert(boolean expert)

  The "expert" flag is used to distinguish between features that are intended for expert users from those that are intended for normal users.

  Parameters:
    expert - True if this feature is intended for use by experts only.

isHidden

     public boolean isHidden()

  The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

  Returns:
    True if this feature should be hidden from human users.

setHidden

     public void setHidden(boolean hidden)

  The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

  Parameters:
    hidden - True if this feature should be hidden from human users.

getShortDescription

     public String getShortDescription()

  Returns:
    A localized short description associated with this property/method/event. This defaults to be the display name.

setShortDescription

     public void setShortDescription(String text)

  You can associate a short descriptive string with a feature. Normally these descriptive strings should be less than about 40 characters.

  Parameters:
    text - A (localized) short description to be associated with this property/method/event.

setValue

     public void setValue(String attributeName,
                          Object value)

  Associate a named attribute with this feature.

  Parameters:
    attributeName - The locale-independent name of the attribute
    value - The value.

getValue

     public Object getValue(String attributeName)

  Retrieve a named attribute with this feature.

  Parameters:
    attributeName - The locale-independent name of the attribute
  Returns:
    The value of the attribute. May be null if the attribute is unknown.

attributeNames

     public Enumeration attributeNames()

  Returns:
    An enumeration of the locale-independent names of any attributes that have been registered with setValue.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.